Dashboard

Images

Auth Required

Retrieve Image

GEThttps://api.inboxjot.com/v1/images/{image_id}

Retrieves one image. Needs a Full key. A key limited to one domain answers 403.

GET/v1/images/{image_id}
curl -X GET https://api.inboxjot.com/v1/images/img_06d2mfk8r3wn5gt7kc2pb \
  -H "Authorization: Bearer $INBOXJOT_API_KEY"
{
  "id": "img_06d2mfk8r3wn5gt7kc2pb",
  "file_name": "hero.png",
  "url": "https://images.inboxjot-cdn.com/media/ws_06d2mfk8r1/i/3f9a2c1b7e4d6a05.png",
  "content_type": "image/png",
  "size_bytes": 412000,
  "width": 1200,
  "height": 630,
  "creator_name": null,
  "created_at": "2026-10-30T09:00:00.000Z"
}

Returns the image.

Path Parameters

image_idstringrequired

The image id.

Response

idstring

The image id.

file_namestring

The file name.

urlstring | null

The hosted URL to use in an img tag.

content_typestring

image/png, image/jpeg or image/gif.

size_bytesinteger

The size in bytes.

widthinteger

The width in pixels.

heightinteger

The height in pixels.

creator_namestring | null

The team member who uploaded it.

created_atstring

When it was added.

Responses

GET/v1/images/{image_id}
curl -X GET https://api.inboxjot.com/v1/images/img_06d2mfk8r3wn5gt7kc2pb \
  -H "Authorization: Bearer $INBOXJOT_API_KEY"
{
  "id": "img_06d2mfk8r3wn5gt7kc2pb",
  "file_name": "hero.png",
  "url": "https://images.inboxjot-cdn.com/media/ws_06d2mfk8r1/i/3f9a2c1b7e4d6a05.png",
  "content_type": "image/png",
  "size_bytes": 412000,
  "width": 1200,
  "height": 630,
  "creator_name": null,
  "created_at": "2026-10-30T09:00:00.000Z"
}

Returns the image.